require_dependency "web_frontend/application_controller"
require 'refile/rails/attachment_helper.rb'

module WebFrontend
  class DocumentsController < ApplicationController
    before_action :set_document, only: [:show, :edit, :update, :destroy, :validate]

    # GET /documents
    def index
      @documents = Nukleus::Document.all
    end

    # GET /documents/1
    def show
    end

    # GET /documents/new
    def new
      @document = Nukleus::Document.new
    end

    # GET /documents/1/edit
    def edit
    end

    # POST /documents
    def create
      @document = Nukleus::Document.new(document_params)

      if @document.save
        redirect_to @document, notice: 'Document was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /documents/1
    def update
      if @document.update(document_params)
        redirect_to @document, notice: 'Document was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /documents/1
    def destroy
      @document.destroy
      redirect_to documents_url, notice: 'Document was successfully destroyed.'
    end

    # GET /documents/1/validate
    def validate
      @result = @document.validate
      render :validate, :layout => false
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_document
        @document = Nukleus::Document.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def document_params
        params.require(:document).permit(:document_file, :document_id)
      end
  end
end
